<?php

/**
 * Example file showing Net_CDDB_Server usage
 * 
 * @author Keith Palmer <Keith@UglySlug.com>
 * @category Net
 * @package Net_CDDB
 * @license http://www.opensource.org/licenses/bsd-license.php BSD License
 */

require 'Net/CDDB/Server.php';

// Create a HTTP CDDB server using a local copy of the FreeDB database
//$server = new Net_CDDB_Server('http://localhost:80', 'filesystem:///Users/keith/Sites/Net/docs/FreeDB');

// Create a HTTP CDDB server by proxying requests to a FreeDB.org srever
$server = new Net_CDDB_Server('http://localhost:80', 'http://freedb.org/~cddb/cddb.cgi');


// Start the server to handle the request
$server->start();


/*
 * Now that you have that set up, you can just point a CDDB client to the URL of 
 * the file you put that code in. So if you put that code in: 
 * 	http://www.your-domain.com/cddb_server.php
 * Point your CDDB client to that URL and you'll have a functioning 
 * CDDB-over-HTTP server.
 */

?>
